Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 915992 - net-im/telegram-desktop-4.15.0 stable request
Summary: net-im/telegram-desktop-4.15.0 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Esteve Varela Colominas
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest, STABLEREQ
Depends on: 920657
Blocks: 877067 910544 911395 912896 914419 914902 915109 915237 915982
  Show dependency tree
 
Reported: 2023-10-19 08:47 UTC by Esteve Varela Colominas
Modified: 2024-03-03 22:11 UTC (History)
8 users (show)

See Also:
Package list:
=dev-cpp/expected-lite-0.6.3 amd64 =dev-cpp/cppgir-0_p20240110 amd64 =media-libs/tg_owt-0_pre20230921 amd64 =net-im/telegram-desktop-4.15.0 amd64 =media-libs/libtgvoip-2.4.4_p20221208-r1 amd64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Esteve Varela Colominas 2023-10-19 08:47:57 UTC
It's been two weeks, no significant bugs are open/pending, the old version is getting buggier by the day, and is probably a security hazard (telegram doesn't do CVEs).

The major dependency here is >=dev-cpp/glibmm-2.77, which must be stabilized as well.
Comment 1 Esteve Varela Colominas 2023-10-19 20:50:59 UTC
Where's nattka..? Did I forget how to use it?
Comment 2 NATTkA bot gentoo-dev 2023-10-19 21:16:10 UTC Comment hidden (obsolete)
Comment 3 Yixun Lan archtester gentoo-dev 2023-10-19 21:20:17 UTC
in b.g.o, nattka is a bot to do some sanity check for stabilization

also, there is app-portage/nattka tool to help to take care of stablereq/keywordreq bugs
Comment 4 NATTkA bot gentoo-dev 2023-10-19 21:24:11 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2023-10-19 22:00:16 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2023-10-19 22:32:11 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2023-10-20 04:48:10 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2023-10-20 04:56:15 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2023-10-20 06:08:14 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2023-10-28 14:08:24 UTC Comment hidden (obsolete)
Comment 11 Esteve Varela Colominas 2023-12-10 22:29:21 UTC
Bumped to 4.11.7 and PRing to drop the current stable. The list of bugs is untenable.
Comment 12 Larry the Git Cow gentoo-dev 2023-12-11 13:25:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7497d83f469b739fcc81775878c5e59c2000e5c8

commit 7497d83f469b739fcc81775878c5e59c2000e5c8
Author:     Esteve Varela Colominas <esteve.varela@gmail.com>
AuthorDate: 2023-12-10 22:30:20 +0000
Commit:     Yixun Lan <dlan@gentoo.org>
CommitDate: 2023-12-11 13:23:32 +0000

    net-im/telegram-desktop: Drop stable
    
    The list of bugs has become untenable, the package is essentially
    unusable, and there's no clear idea of when glibmm will be bumped.
    
    Sorry for the inconveniences...
    
    Bug: https://bugs.gentoo.org/915992
    Closes: https://bugs.gentoo.org/877067
    Closes: https://bugs.gentoo.org/910544
    Closes: https://bugs.gentoo.org/911395
    Closes: https://bugs.gentoo.org/912896
    Closes: https://bugs.gentoo.org/914419
    Closes: https://bugs.gentoo.org/914902
    Closes: https://bugs.gentoo.org/915109
    Closes: https://bugs.gentoo.org/915237
    Closes: https://bugs.gentoo.org/915982
    Signed-off-by: Esteve Varela Colominas <esteve.varela@gmail.com>
    Signed-off-by: Yixun Lan <dlan@gentoo.org>

 net-im/telegram-desktop/Manifest                   |   1 -
 .../files/tdesktop-4.4.1-fix-dupe-main-decl.patch  |  26 ---
 .../telegram-desktop-4.8.1-r3.ebuild               | 210 ---------------------
 3 files changed, 237 deletions(-)
Comment 13 NATTkA bot gentoo-dev 2023-12-11 13:28:18 UTC Comment hidden (obsolete)
Comment 14 NATTkA bot gentoo-dev 2023-12-11 13:52:23 UTC Comment hidden (obsolete)
Comment 15 NATTkA bot gentoo-dev 2023-12-28 14:00:25 UTC Comment hidden (obsolete)
Comment 16 Mart Raudsepp gentoo-dev 2023-12-28 14:14:00 UTC
You may not just add things maintained by others into the package list without an ack from its maintainers. This doedsn't seem to exist for glib, as a glib maintainer would have known to make sure glib-utils and gdbus-codegen need to go stable together with it, AND not only for a single architecture.
I'm removing things from package list that you do not maintain and replacing them with appropriate dependent bugs instead by now.
Comment 17 Mart Raudsepp gentoo-dev 2023-12-28 14:14:58 UTC
I meant that you can't add them to package list AND CC arches (or CC-ARCHES keyword) before there's an ACK.
Comment 18 Esteve Varela Colominas 2023-12-28 15:36:00 UTC
Oh alright, excuse me.
Comment 19 NATTkA bot gentoo-dev 2023-12-28 15:40:40 UTC Comment hidden (obsolete)
Comment 20 NATTkA bot gentoo-dev 2023-12-28 17:48:26 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2024-01-20 00:04:36 UTC Comment hidden (obsolete)
Comment 22 Esteve Varela Colominas 2024-03-03 18:34:36 UTC
it is time
Comment 23 NATTkA bot gentoo-dev 2024-03-03 18:36:24 UTC
All sanity-check issues have been resolved
Comment 24 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-03-03 22:11:59 UTC
amd64 done

all arches done